<?php

include '../../../script/conexion.php';

$nombre_usuario = $_POST['nombre_usuario'];
$nombre_tercero = $_POST['nombre_tercero'];
$fecha = date('Y-m-d');

$total_talla_referencia = 0;
$sql1 = "SELECT pd.referencia_producto FROM alm_pedido p, alm_pedido_detalle pd 
                WHERE p.id=pd.id_pedido AND p.nombre_tercero='$nombre_tercero' AND p.estado!='Cancelado' 
                UNION 
                SELECT dd.referencia_producto FROM alm_venta d, alm_venta_detalle dd 
                WHERE d.id=dd.id_venta AND d.nombre_tercero='$nombre_tercero' AND d.estado!='Cancelado'
                UNION 
                SELECT referencia_producto FROM alm_cierre_detalle 
                WHERE nombre_tercero='$nombre_tercero'";
$query1 = $conn->query($sql1);
if ($query1->num_rows > 0) {
    while ($row1 = $query1->fetch_assoc()) {

        $total_talla = 0;
        $sql2 = "SELECT pd.talla FROM alm_pedido p, alm_pedido_detalle pd 
                        WHERE p.id=pd.id_pedido AND p.nombre_tercero='$nombre_tercero' AND p.estado!='Cancelado'
                        UNION 
                        SELECT dd.talla FROM alm_venta d, alm_venta_detalle dd 
                        WHERE d.id=dd.id_venta AND d.nombre_tercero='$nombre_tercero' AND d.estado!='Cancelado'   
                        UNION 
                        SELECT talla FROM alm_cierre_detalle 
                        WHERE nombre_tercero='$nombre_tercero'";
        $query2 = $conn->query($sql2);
        if ($query2->num_rows > 0) {
            while ($row2 = $query2->fetch_assoc()) {


                $class_nombre_tercero_cierre = $nombre_tercero;
                $class_referencia_cierre = $row1['referencia_producto'];
                $class_talla_cierre = $row2['talla'];

                include '../../../clases/class-cierre.php';
            }
        }
    }
}


$sql3 = "SELECT * FROM alm_referencia_cierre WHERE nombre_tercero='$nombre_tercero'";
$query3 = $conn->query($sql3);
if ($query3->num_rows > 0) {
    while ($row3 = $query3->fetch_assoc()) {

        $referencia_producto = $row3['referencia_producto'];
        $talla = $row3['talla'];
        $cantidad = $row3['cantidad'] * -1;

        $sql4 = "INSERT INTO alm_cierre_detalle (id, nombre_usuario, nombre_tercero, fecha, referencia_producto, talla, cantidad) "
                . "VALUES (NULL, '$nombre_usuario', '$nombre_tercero', '$fecha', '$referencia_producto', '$talla', '$cantidad')";
        if ($conn->query($sql4) === TRUE) {
            
        } else {

            echo "Error: " . $sql4 . "<br>" . $conn->error;
        }


        $class_nombre_tercero_cierre = $nombre_tercero;
        $class_referencia_cierre = $referencia_producto;
        $class_talla_cierre = $talla;

        include '../../../clases/class-cierre.php';
    }
}


echo '<script language = javascript>
                    self.location = "../cierre-tercero.php?nombre_tercero=' . $nombre_tercero . '"
                </script>';
?>